Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #753

Media hotkeys don't work
November 05, 2017 17:56 - V 7
Target version:

Affects version: 3.6.2

Description

Dear developer,

I've noticed that global hotkeys for audacious just disabled os something like that. I've already removed config files for it and
reinstalled audacious. So then it worked, but after some time ... stoped. I'm talking about media keys like ( Fn+Play etc. ) ... so |
guess that something wrong with plugin_registry file. It just stops listening to media keys.

Btw thank you very much for this type of music player

Best regards,
wW7v7

History

#1 - November 06, 2017 05:00 - John Lindgren

If you reset the configuration again, does it start working again? Save a copy of the old configuration so we can compare and see what's different.

#2 - November 11,2017 09:23 -V 7

Dear John Lindgren,
Roger. I'll try do this when it might happen.

Best regards,
w7v7

#3 - November 13, 2017 14:12 - N. Andrew Walsh

Don't know if this is related/relevant, but the universal hotkeys plugin has also disappeared. Was this intentional?

#4 - November 26, 2017 18:08 - John Lindgren

V 7, have you seen this problem again? If not, I'll close this report, but you can still reply to it with more details if/when the problem occurs again.

#5 - November 26, 2017 22:10 - N. Andrew Walsh

John Lindgren wrote:

V 7, have you seen this problem again? If not, I'll close this report, but you can still reply to it with more details if/when the problem occurs again.

I know I'm not really invited, but (as | have a similar problem), | deleted my config and restarted audacious. | tried binding key combinations to the
command "audacious --play". Although that command works from the command line, it does not work when invoked by the WM (for example, using
xbindkeys).

This is only in the most recent version; the previous version worked fine. Did you change how audacious listens to X11 keypress events?
#6 - November 27, 2017 02:00 - John Lindgren

N. Andrew Walsh wrote:

| know I'm not really invited, but (as | have a similar problem)

| don't think it's the same problem, so you're just adding confusion here. Please take your troubleshooting questions to the forum.

Did you change how audacious listens to X11 keypress events?

No, the hotkey handling hasn't changed in years.

#7 - December 08, 2017 07:44 - Jim Turner

I'm sure I'm not invited either (lol), but here's something | do w/xbindkeys on a box (a big clunky ol' Dell Inspiron 1564 lappy) w/media keys:

(~/.xbindkeysrc):

#Prev Song

"/usr/local/bin/audtool_user.sh playlist-reverse"
m:0x0 + c:173
XF86AudioPrev

#PlayPause

"/usr/local/bin/audtool_user.sh playlist-pause"
m:0x0 + c:172
NoSymbol

#Next Song

"/usr/local/bin/audtool_user.sh playlist-advance"
m:0x0 + c:171
NoSymbol

#Quieter

"/usr/bin/amixer -gq set Master 4- unmute"
m:0x0 + c:122
XF86AudioLowerVolume

#Louder

"/usr/bin/amixer —-g set Master 4+ unmute"
m:0x0 + c:123
XF86AudioRaiseVolume

#MuteToggle
"/usr/bin/amixer -q set Master toggle"

m:0x0 + c:121
XF86AudioMute

Then (/usr/local/bin/audtool_user.sh) looks something like this:
#!/bin/bash

sudo su —-c "/usr/local/bin/audtool —--$1" SUSER

Give that a try (changing your keys/functions to whatever they are on your box).
Regards,

Jim

#8 - January 13, 2018 03:14 - John Lindgren

Closing due to insufficient information. | use the global hotkeys every day and have never had trouble with them not working (aside from other
software like VirtualBox grabbing the same keycodes, which we have no control over).

#9 - January 13, 2018 03:15 - John Lindgren

- Status changed from New to Rejected
